Bug 1649379 - qpid-cpp: FTBFS - ERROR: ambiguous python shebang
Summary: qpid-cpp: FTBFS - ERROR: ambiguous python shebang
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qpid-cpp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Irina Boverman
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-13 14:09 UTC by Jitka Plesnikova
Modified: 2019-02-21 02:38 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-21 02:38:01 UTC


Attachments (Terms of Use)

Description Jitka Plesnikova 2018-11-13 14:09:18 UTC
Description of problem:
Package qpid-cpp fails to build from source in Fedora rawhide.

+ /usr/lib/rpm/redhat/brp-mangle-shebangs
*** ERROR: ambiguous python shebang in /usr/bin/qmf-gen: #!/usr/bin/env python. Change it to python3 (or python2) explicitly.
*** WARNING: ./usr/src/debug/qpid-cpp-1.38.0-5.fc30.x86_64/src/qpid/Version.h is executable but has empty or no shebang, removing executable bit
*** WARNING: ./usr/src/debug/qpid-cpp-1.38.0-5.fc30.x86_64/src/qpid/Address.h is executable but has empty or no shebang, removing executable bit
*** WARNING: ./usr/src/debug/qpid-cpp-1.38.0-5.fc30.x86_64/src/qpid/sys/FileSysDir.h is executable but has empty or no shebang, removing executable bit
*** WARNING: ./usr/src/debug/qpid-cpp-1.38.0-5.fc30.x86_64/src/qpid/sys/posix/FileSysDir.cpp is executable but has empty or no shebang, removing executable bit
*** WARNING: ./usr/src/debug/qpid-cpp-1.38.0-5.fc30.x86_64/src/qpid/sys/posix/PipeHandle.cpp is executable but has empty or no shebang, removing executable bit
*** WARNING: ./usr/src/debug/qpid-cpp-1.38.0-5.fc30.x86_64/src/qpid/sys/posix/Time.h is executable but has empty or no shebang, removing executable bit
*** WARNING: ./usr/src/debug/qpid-cpp-1.38.0-5.fc30.x86_64/src/qpid/sys/posix/LockFile.cpp is executable but has empty or no shebang, removing executable bit
*** WARNING: ./usr/src/debug/qpid-cpp-1.38.0-5.fc30.x86_64/src/qpid/sys/posix/SystemInfo.cpp is executable but has empty or no shebang, removing executable bit
*** WARNING: ./usr/src/debug/qpid-cpp-1.38.0-5.fc30.x86_64/src/qpid/sys/PipeHandle.h is executable but has empty or no shebang, removing executable bit
*** ERROR: ambiguous python shebang in /usr/lib/python2.7/site-packages/qpidtoollibs/disp.py: #!/usr/bin/env python. Change it to python3 (or python2) explicitly.
*** ERROR: ambiguous python shebang in /usr/libexec/qpid-qls-analyze: #!/usr/bin/env python. Change it to python3 (or python2) explicitly.
error: Bad exit status from /var/tmp/rpm-tmp.hXhmev (%install)

Steps to Reproduce:
koji build --scratch f30 qpid-cpp-1.38.0-5.fc29.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/qpid-cpp

Dependency changes from the latest successful build:
https://apps.fedoraproject.org/koschei/build/5421613

Comment 1 Fedora Update System 2019-01-16 21:21:28 UTC
qpid-cpp-1.39.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3893847a12

Comment 2 Fedora Update System 2019-01-17 03:03:17 UTC
qpid-cpp-1.39.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3893847a12

Comment 3 Fedora Update System 2019-01-29 20:16:56 UTC
qpid-cpp-1.39.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3893847a12

Comment 4 Fedora Update System 2019-01-30 02:22:41 UTC
qpid-cpp-1.39.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3893847a12

Comment 5 Fedora Update System 2019-02-21 02:38:01 UTC
qpid-cpp-1.39.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.